libqalculate-3.5.0

Classes | Macros | Enumerations | Functions
Number.h File Reference
`#include <libqalculate/includes.h>`
`#include <gmp.h>`
`#include <mpfr.h>`

## Classes
class | Number
| A number. More...

## Macros
#define | EQUALS_PRECISION_DEFAULT -1
#define | EQUALS_PRECISION_LOWEST -2
#define | EQUALS_PRECISION_HIGHEST -3

## Enumerations
enum | NumberType { NUMBER_TYPE_RATIONAL, NUMBER_TYPE_FLOAT, NUMBER_TYPE_PLUS_INFINITY, NUMBER_TYPE_MINUS_INFINITY }
enum | IntegerType { INTEGER_TYPE_NONE, INTEGER_TYPE_SINT, INTEGER_TYPE_UINT, INTEGER_TYPE_ULONG, INTEGER_TYPE_SLONG, INTEGER_TYPE_SIZE }

## Functions
ostream & | operator<< (ostream &os, const Number &)